#include "main.h"
#include "hslee_uart.h"


void Init_Uart1(int baud)
{
	OpenUART1(UART_EN, UART_RX_ENABLE | UART_TX_ENABLE, SYS_FREQ/16/baud-1);
	ConfigIntUART1(UART_INT_PR5 | UART_RX_INT_EN);
}

void Init_Uart2(int baud)
{
	OpenUART2(UART_EN, UART_RX_ENABLE | UART_TX_ENABLE, SYS_FREQ/16/baud-1);
	ConfigIntUART2(UART_INT_PR3 | UART_RX_INT_EN);
}


void TxData1(unsigned char data)
{
	while(!UARTTransmitterIsReady(UART1));
	UARTSendDataByte(UART1, data);
	while(!UARTTransmissionHasCompleted(UART1));
}    

void TxString1(char *data)
{
    putsUART1(data);   
}

void TxBytes1(unsigned char *data)
{
	
	int i=0;
	int len = sizeof(data) + 1;

	for(i=0;i<len;i++)
	{
		TxData1(data[i]);
	}
}        

void TxData2(unsigned char data)
{
    while(!UARTTransmitterIsReady(UART2)) ;
	UARTSendDataByte(UART2, data);
	while(!UARTTransmissionHasCompleted(UART2)) ;
	//putcUART2((unsigned char)data);
}    

void TxString2(char *data)
{
    putsUART2(data);   
}    
void TxBytes2(unsigned char *data)
{
	
	int i=0;
	int len = sizeof(data) + 1;

	for(i=0;i<len;i++)
	{
		TxData2(data[i]);
	}
}







